Subject: Re: bug#17880: 24.4.50; [FEATURE] abbrev with skeleton

From: Stefan Monnier <[email-masked]>
Date: Mon, 30 Jun 2014 09:43:45 -0400

> I was looking for packages to obsolete and find this expand.el. The
> skeleton DSL is certainly more powerful. Comments?

Yes, expand.el might be a good candidate for obsolescence.

> BTW, we should be able to extend skeleton to cover snippet.el or
> whatever nicely.  I mean snippet.el/yas-snippet.el might not be the one
> we want to converge to.

The discussion with Joao convinced me that "extending skeleton" is not
going to work quite right (IOW, it won't "cover it nicely").  So the
idea is rather to introduce yet-another thingy, but try to make sure
that skeleton.el can be rewritten as a "compatibility front-end", and
same for tempo.el.

        Stefan